Page MenuHomePhabricator

ORES errors on beta sites (dewp; zhwp)
Closed, ResolvedPublic

Description

Special:RecentChanges:

[WQBDogpEE4AAACe6OfMAAAAK] /wiki/Special:%E6%9C%80%E8%BF%91%E6%9B%B4%E6%94%B9 Exception from line 653 of /srv/mediawiki/php-master/extensions/ORES/includes/Hooks.php: Unknown damaging level: 'likelybad'

Backtrace:

#0 /srv/mediawiki/php-master/extensions/ORES/includes/Hooks.php(616): ORES\Hooks::getThreshold(string, User)
#1 /srv/mediawiki/php-master/extensions/ORES/includes/Hooks.php(448): ORES\Hooks::getScoreRecentChangesList(RecentChange, RequestContext)
#2 /srv/mediawiki/php-master/includes/Hooks.php(186): ORES\Hooks::onOldChangesListRecentChangesLine(OldChangesList, string, RecentChange, array)
#3 /srv/mediawiki/php-master/includes/changes/OldChangesList.php(55): Hooks::run(string, array)
#4 /srv/mediawiki/php-master/includes/specials/SpecialRecentchanges.php(396): OldChangesList->recentChangesLine(RecentChange, boolean, integer)
#5 /srv/mediawiki/php-master/includes/specialpage/ChangesListSpecialPage.php(1067): SpecialRecentChanges->outputChangesList(Wikimedia\Rdbms\ResultWrapper, FormOptions)
#6 /srv/mediawiki/php-master/includes/specialpage/ChangesListSpecialPage.php(506): ChangesListSpecialPage->webOutput(Wikimedia\Rdbms\ResultWrapper, FormOptions)
#7 /srv/mediawiki/php-master/includes/specials/SpecialRecentchanges.php(69): ChangesListSpecialPage->execute(NULL)
#8 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(522): SpecialRecentChanges->execute(NULL)
#9 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(NULL)
#10 /srv/mediawiki/php-master/includes/MediaWiki.php(287): SpecialPageFactory::executePath(Title, RequestContext)
#11 /srv/mediawiki/php-master/includes/MediaWiki.php(862): MediaWiki->performRequest()
#12 /srv/mediawiki/php-master/includes/MediaWiki.php(523): MediaWiki->main()
#13 /srv/mediawiki/php-master/index.php(43): MediaWiki->run()
#14 /srv/mediawiki/w/index.php(3): include(string)
#15 {main}

Special:Preferences:

[WQBDmwpEE4AAACXdI4oAAAAD] /wiki/Special:%E5%8F%82%E6%95%B0%E8%AE%BE%E7%BD%AE MWException from line 150 of /srv/mediawiki/php-master/includes/Preferences.php: Global default 'soft' is invalid for field oresDamagingPref

Backtrace:

#0 /srv/mediawiki/php-master/includes/Preferences.php(102): Preferences::loadPreferenceValues(User, RequestContext, array)
#1 /srv/mediawiki/php-master/includes/Preferences.php(1316): Preferences::getPreferences(User, RequestContext)
#2 /srv/mediawiki/php-master/includes/specials/SpecialPreferences.php(84): Preferences::getFormObject(User, RequestContext)
#3 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(522): SpecialPreferences->execute(NULL)
#4 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(NULL)
#5 /srv/mediawiki/php-master/includes/MediaWiki.php(287): SpecialPageFactory::executePath(Title, RequestContext)
#6 /srv/mediawiki/php-master/includes/MediaWiki.php(862): MediaWiki->performRequest()
#7 /srv/mediawiki/php-master/includes/MediaWiki.php(523): MediaWiki->main()
#8 /srv/mediawiki/php-master/index.php(43): MediaWiki->run()
#9 /srv/mediawiki/w/index.php(3): include(string)
#10 {main}

So I can't view RC or preferences or do anything more.

Event Timeline

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptApr 26 2017, 6:55 AM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptApr 26 2017, 12:01 PM

This isn't limited to zhwiki (at least also dewiki), and affects changing preferences via the API, too (fails with the same internal error as above).

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 27 2017, 2:43 PM

@Catrope it looks like this is ERI stuff. Can you have a look at this to make sure it's triaged right?

I think https://gerrit.wikimedia.org/r/#/c/350316/ fixes it. It has been merged but not deployed yet.

I think https://gerrit.wikimedia.org/r/#/c/350316/ fixes it. It has been merged but not deployed yet.

We're talking about beta, not production, so that change should have been deployed already.

RecentChanges and Contributions still crash, but Preferences worked. -- Apr 27, 17:14 (UTC) (zhwp beta)

Etonkovidova added a subscriber: Etonkovidova.EditedApr 27 2017, 6:28 PM

https://gerrit.wikimedia.org/r/#/c/350504/ fixed that - checked in previously affected betalabs wikis: cawiki, dewiki, zhwiki.

@vjudge404 yes, Contributions are still crashing.

Aklapper renamed this task from ORES errors on zhwp beta to ORES errors on beta sites (dewp; zhwp).Apr 27 2017, 6:29 PM
Aklapper added a subscriber: Freddy2001.

Change 350724 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/ORES@master] Don't throw exception when "the" damaging threshold (for old code) can't be found

https://gerrit.wikimedia.org/r/350724

Change 350724 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Don't throw exception when "the" damaging threshold (for old code) can't be found

https://gerrit.wikimedia.org/r/350724

Checked in betalabs - dewiki, zhwiki, cawiki - Contributions and Preferences work as expected.

Re-checked the case when the beta feature "New filters for edit review" is on and off - Preferences, Watchlist, and Contribution pages work as expected.

jmatazzoni closed this task as Resolved.May 3 2017, 4:59 PM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.May 4 2017, 3:01 AM